activeadmin-mongoid in mongoid (3.1.2) not work #32

Closed
peterwillcn opened this Issue Feb 28, 2013 · 11 comments

Comments

Projects
None yet
@peterwillcn

activeadmin-mongoid in mongoid (3.1.2) not work

@pencilcheck

This comment has been minimized.

Show comment Hide comment
@pencilcheck

pencilcheck Mar 3, 2013

Contributor

not working for 3.0.21 as well

Contributor

pencilcheck commented Mar 3, 2013

not working for 3.0.21 as well

@pawelkomarnicki

This comment has been minimized.

Show comment Hide comment
@pawelkomarnicki

pawelkomarnicki Mar 6, 2013

Well it's not working with Mongoid 3 totally, as it locks 2.x.x in Gemfile :(

Well it's not working with Mongoid 3 totally, as it locks 2.x.x in Gemfile :(

@MaxMernikov

This comment has been minimized.

Show comment Hide comment
@MaxMernikov

MaxMernikov Mar 14, 2013

change mongoid version in 'activeadmin-mongoid.gemspec' create any problems?

change mongoid version in 'activeadmin-mongoid.gemspec' create any problems?

@hammady

This comment has been minimized.

Show comment Hide comment
@hammady

hammady Mar 22, 2013

It is not that it doesn't work on Mongoid 3, it doesn't work either on latest versions of ActiveAdmin! If This is a monkey-patch then why doesn't the author tell us which version of AA should we work on?

hammady commented Mar 22, 2013

It is not that it doesn't work on Mongoid 3, it doesn't work either on latest versions of ActiveAdmin! If This is a monkey-patch then why doesn't the author tell us which version of AA should we work on?

@OptimisticMonkey

This comment has been minimized.

Show comment Hide comment
@OptimisticMonkey

OptimisticMonkey Apr 10, 2013

I have it working with ActiveAdmin 0.5.1 and mongoid 3.1.2

(It does not work with the latest 0.6 ActiveAdmin)
gemspec should be updated with these dependencies, but gem 'activeadmin', '0.5.1'
worked for me

I have it working with ActiveAdmin 0.5.1 and mongoid 3.1.2

(It does not work with the latest 0.6 ActiveAdmin)
gemspec should be updated with these dependencies, but gem 'activeadmin', '0.5.1'
worked for me

@elia

This comment has been minimized.

Show comment Hide comment
@elia

elia Apr 12, 2013

Member

I'm working on a new release for activeadmin 0.6 and mongoid 3.1, hope to get it out soon

Also from there I'd like to spread support for previous versions (or to spawn branches for each combination)

Member

elia commented Apr 12, 2013

I'm working on a new release for activeadmin 0.6 and mongoid 3.1, hope to get it out soon

Also from there I'd like to spread support for previous versions (or to spawn branches for each combination)

@elia

This comment has been minimized.

Show comment Hide comment
@elia

elia Apr 12, 2013

Member

Also I'm sorry for the delays in development,
I had some busy time on project that weren't using activeadmin-mongoid

Member

elia commented Apr 12, 2013

Also I'm sorry for the delays in development,
I had some busy time on project that weren't using activeadmin-mongoid

@oliverjesse

This comment has been minimized.

Show comment Hide comment
@oliverjesse

oliverjesse May 4, 2013

Anything we can do to help with the new development? ActiveAdmin is so far ahead of rails_admin at this point that I'd almost rather work on this than keep dealing with rails_admin for my mongoid project.

Anything we can do to help with the new development? ActiveAdmin is so far ahead of rails_admin at this point that I'd almost rather work on this than keep dealing with rails_admin for my mongoid project.

@renevall

This comment has been minimized.

Show comment Hide comment
@renevall

renevall May 10, 2013

Aw man, I so wanna use active admin with mongo, now I have to consider the other admin options :/. Save me Elia

Aw man, I so wanna use active admin with mongo, now I have to consider the other admin options :/. Save me Elia

@noma4i

This comment has been minimized.

Show comment Hide comment
@noma4i

noma4i May 13, 2013

Hope to see release soon. ) Thnx in advance

noma4i commented May 13, 2013

Hope to see release soon. ) Thnx in advance

@elia

This comment has been minimized.

Show comment Hide comment
@elia

elia May 14, 2013

Member

pushed to master a version with a basic test, uses aa-0.6 rails-3.2 mongoid-3

The glue code is horrible, but we now have a spec!

I'd say that any effort should be concentrated on this version, possibly extending compatibility backwords (e.g. to mongoid-2)

Member

elia commented May 14, 2013

pushed to master a version with a basic test, uses aa-0.6 rails-3.2 mongoid-3

The glue code is horrible, but we now have a spec!

I'd say that any effort should be concentrated on this version, possibly extending compatibility backwords (e.g. to mongoid-2)

@boie0025 boie0025 closed this Jun 6, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment